p11-kit-0.18.5-2.el6_5.2.x86_64.rpm


Advertisement

Description

p11-kit - Library for loading and sharing PKCS#11 modules

Property Value
Distribution CentOS 6
Repository CentOS x86_64
Package filename p11-kit-0.18.5-2.el6_5.2.x86_64.rpm
Package name p11-kit
Package version 0.18.5
Package release 2.el6_5.2
Package architecture x86_64
Package type rpm
Homepage http://p11-glue.freedesktop.org/p11-kit.html
License BSD
Maintainer -
Download size 94.16 KB
Installed size 256.51 KB
p11-kit provides a way to load and enumerate PKCS#11 modules, as well
as a standard configuration setup for installing PKCS#11 modules in
such a way that they're discoverable.

Alternatives

Package Version Architecture Repository
p11-kit-0.18.5-2.el6_5.2.i686.rpm 0.18.5 i686 CentOS
p11-kit-0.18.5-2.el6_5.2.i686.rpm 0.18.5 i686 CentOS
p11-kit - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.8)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libfreebl3.so()(64bit) -
libfreebl3.so(NSSRAWHASH_3.12.3)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libtasn1.so.3()(64bit) -
libtasn1.so.3(LIBTASN1_0_3)(64bit) -
rtld(GNU_HASH) -

Provides

Name Value
libp11-kit.so.0()(64bit) -
p11-kit = 0.18.5-2.el6_5.2
p11-kit(x86-64) = 0.18.5-2.el6_5.2

Download

Type URL
Mirror mirror.centos.org
Binary Package p11-kit-0.18.5-2.el6_5.2.x86_64.rpm
Source Package p11-kit-0.18.5-2.el6_5.2.src.rpm

Install Howto

Install p11-kit rpm package:

# yum install p11-kit

Files

Path
/etc/pkcs11/
/etc/pkcs11/modules/
/usr/bin/p11-kit
/usr/lib64/libp11-kit.so.0
/usr/lib64/libp11-kit.so.0.0.0
/usr/lib64/p11-kit-proxy.so
/usr/lib64/p11-kit/
/usr/share/doc/p11-kit-0.18.5/AUTHORS
/usr/share/doc/p11-kit-0.18.5/COPYING
/usr/share/doc/p11-kit-0.18.5/NEWS
/usr/share/doc/p11-kit-0.18.5/README
/usr/share/doc/p11-kit-0.18.5/pkcs11.conf.example
/usr/share/man/man5/pkcs11.conf.5.gz
/usr/share/man/man8/p11-kit.8.gz
/usr/share/p11-kit/
/usr/share/p11-kit/modules/

Changelog

2014-01-16 - Stef Walter <stefw@redhat.com> - 0.18.5-2.2
- Fix path for grep (#1039930)
2014-01-07 - Stef Walter <stefw@redhat.com> - 0.18.5-2.1
- Add missing dependency on grep (#1039930)
2013-07-18 - Stef Walter <stefw@redhat.com> - 0.18.5-2
- Fix problem with multilib conflicts (generated docbook ids)
2013-07-18 - Stef Walter <stefw@redhat.com> - 0.18.5-1
- Update to new upstream point release
- Use freebl for hash algorithms (#983384)
- Don't load configs in home dir when setuid or setgid (#985816)
- Use $TMPDIR instead of $TEMP while testing (#985017)
- Use $XDG_DATA_HOME for user pkcs11 module configuration
- Open files and fds with O_CLOEXEC (#984986)
- Abort initialization if critical module fails to load (#985023)
- Don't use thread-unsafe: strerror, getpwuid (#985481)
- Fix p11_kit_space_strlen() result when empty string (#985416)
2013-07-02 - Stef Walter <stefw@redhat.com> - 0.18.4-2
- Fix inconsistency issues when multilib packages are installed
- Add 'p11-kit redhat-setup-trust status' command
2013-06-25 - Stef Walter <stefw@redhat.com> - 0.18.4-1
- Remove alternative on package removal
- Update to 0.18.4 with minor p11-kit command fixes
- Fix arguments to extract-trust p11-kit command
2013-06-14 - Stef Walter <stefw@redhat.com> - 0.18.3-3
- Don't depend on wrong bash location
- Install script to enable alternative libnssckbi.so
2013-06-12 - Stef Walter <stefw@redhat.com> - 0.18.3-2
- Don't install libnssckbi.so alternatives in the package.
On RHEL 6 this is done by the update-ca-trust script.
2013-06-05 - Stef Walter <stefw@redhat.com> - 0.18.3-1
- Update to new upstream stable release
- Fix intermittent firefox cert validation issues (#960230)
- Include the manual pages in the package
2013-05-14 - Stef Walter <stefw@redhat.com> - 0.18.2-1
- Update to new upstream stable release
- Reduce the libtasn1 dependency minimum version

See Also

Package Description
p11-kit-devel-0.18.5-2.el6_5.2.i686.rpm Development files for p11-kit
p11-kit-devel-0.18.5-2.el6_5.2.x86_64.rpm Development files for p11-kit
p11-kit-trust-0.18.5-2.el6_5.2.i686.rpm System trust module from p11-kit
p11-kit-trust-0.18.5-2.el6_5.2.x86_64.rpm System trust module from p11-kit
pacemaker-1.1.18-3.el6.x86_64.rpm Scalable High-Availability cluster resource manager
pacemaker-cli-1.1.18-3.el6.x86_64.rpm Command line tools for controlling Pacemaker clusters
pacemaker-cluster-libs-1.1.18-3.el6.i686.rpm Cluster Libraries used by Pacemaker
pacemaker-cluster-libs-1.1.18-3.el6.x86_64.rpm Cluster Libraries used by Pacemaker
pacemaker-cts-1.1.18-3.el6.x86_64.rpm Test framework for cluster-related technologies like Pacemaker
pacemaker-doc-1.1.18-3.el6.x86_64.rpm Documentation for Pacemaker
pacemaker-libs-1.1.18-3.el6.i686.rpm Core Pacemaker libraries
pacemaker-libs-1.1.18-3.el6.x86_64.rpm Core Pacemaker libraries
pacemaker-libs-devel-1.1.18-3.el6.i686.rpm Pacemaker development package
pacemaker-libs-devel-1.1.18-3.el6.x86_64.rpm Pacemaker development package
pacemaker-remote-1.1.18-3.el6.x86_64.rpm Pacemaker remote daemon for non-cluster nodes
Advertisement
Advertisement